gungui98 / deformable

Geek Repo:Geek Repo

Github PK Tool:Github PK Tool

Prerequisites

  • Cuda/ Cuda toolkit-11.0
  • NVCC (install along with cuda)
  • Pytorch >= 1.5.0

Install from source

git clone https://github.com/gungui98/deformable.git
cd deformable

install silently by type:

pip install -e .

or with full compile logs:

python setup.py install develop

Usage

from deform_conv.ops import DeformConv2dPack
    
conv2d = DeformConv2dPack(1, 3, 3).cuda()
out = conv2d(torch.randn((1, 3, 256, 256).cuda())

About

License:Apache License 2.0


Languages

Language:Cuda 50.7%Language:Python 32.6%Language:C++ 16.7%Language:Dockerfile 0.0%